Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 30 Sep 2014, 10:14
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Java Runtime Environment (SFS)
Post new topic   Reply to topic View previous topic :: View next topic
Page 3 of 6 [80 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6 Next
Author Message
Makoto


Joined: 03 Sep 2009
Posts: 1797
Location: Out wandering... maybe.

PostPosted: Sun 02 Sep 2012, 18:15    Post subject:  

Yeah... I've got both Firefox and Seamonkey complaining every time I start them because I have 1.7.0_05 installed (and Java disabled in both browsers, but it still complains Confused ).

I'd try installing it myself (I have the .tar.gz version downloaded), but I don't know how - or the extra links and such shinobar included with his SFS versions. Sad

_________________
[ Puppy 4.3.1 JP, Frugal install | 1GB RAM | 1.3GB swap ] * My Pidgin Builds for Puppy 4.3.1+
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).
Back to top
View user's profile Send private message 
xman


Joined: 24 Sep 2009
Posts: 145

PostPosted: Mon 03 Sep 2012, 09:57    Post subject:  

It's time to use 6u35 or 7u7.

In 6u34 and 7u6 and earlier versions of java there were security holes which were and are exploited in the wild by criminals. "Due to the severity of these vulnerabilities, the public disclosure of technical details and the reported exploitation of CVE-2012-4681 "in the wild," Oracle strongly recommends that customers apply the updates provided by this Security Alert as soon as possible", http://www.oracle.com/technetwork/topics/security/alert-cve-2012-4681-1835715.html.
Back to top
View user's profile Send private message 
shinobar


Joined: 28 May 2009
Posts: 2630
Location: Japan

PostPosted: Mon 03 Sep 2012, 12:49    Post subject: jre-1.6.0.35, jre-1.7.0.07  

UPDATE: 2012-09-04
jre-1.6.0.35.sfs and jre-1.7.0.07.sfs. Note that the browser plug-in of JAVA 7 may not work on Seamonkey. Use the JAVA 6 (jre-1.6.x) in this case.
Both from http://shino.pos.to/party/bridge.cgi?puppy/opt/

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send private message Visit poster's website 
Makoto


Joined: 03 Sep 2009
Posts: 1797
Location: Out wandering... maybe.

PostPosted: Mon 03 Sep 2012, 17:30    Post subject:  

Thanks! Everything seems to be working great (including LibreOffice Smile ). The Java plugin seems to be working with both Seamonkey and Firefox, here.
_________________
[ Puppy 4.3.1 JP, Frugal install | 1GB RAM | 1.3GB swap ] * My Pidgin Builds for Puppy 4.3.1+
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).
Back to top
View user's profile Send private message 
Hugh


Joined: 24 Jun 2006
Posts: 136
Location: Imperial Warmongering Dystopia of Amerika

PostPosted: Tue 09 Oct 2012, 19:01    Post subject:  

Shinobar, thank you for your work with JRE
and the various sfs files you've created!!!

You've made the process of installing JAVA
into Puppy incredibly easy and effective.

I've just added it to SolidPup 5.1.1 and it
passed the Test.

Next I need to try and see if MineCraft will
function in this environment. My Grandson
is hooked on MineCraft and I'm striving to
set it up in Puppy to enable him to break
away from Windows. I'll report back as soon
as we try it...
- - - - - - - - - -
11 Oct 2012
My Grandson's computer is a Sony Vaio
VGCRB30 model (3.0 GHz P4, 2 GB RAM)
and SolidPup plus Shinobar's jre installed
work well up to a point. Running Minecraft
in java brings up the login page ok, but for
some reason the login will not accept any
input from the keyboard.

Would anyone have any idea why this is
so? Is it a hardware incompatibility?

We've also tried in on a Dell GX260 with
SolidPup and jre and it works completely;
login is successful and the game begins.
Unfortunately this machine only has
512 MB of RAM so it is very, very sluggish.
Once we upgrade RAM to a sufficient level
perhaps it will do what we want.

This is our first attempt to install and use
java for any application so it is a rather
exciting adventure.

Thanks are extended to Asterisk as well!

...More to come...

_________________
Shuttle Spacewalker HOT-661/P Main Board:
PII-350MHz: 640MB RAM: First Puppy: 2.00
HDD Filesystem: FAT32/NTFS/ext3; Frugal Always
Back to top
View user's profile Send private message 
linux_guy

Joined: 27 Oct 2012
Posts: 16
Location: Virginia

PostPosted: Sun 28 Oct 2012, 12:03    Post subject: Thanks!  

It's working with Firefox 16.0.2 on Slacko 5.3.3, except here: www.java.com/en/download/testjava.jsp. I use other java pages, including my company's choice of VPN (Juniper) and it works great.

Makoto wrote:
Thanks! Everything seems to be working great (including LibreOffice Smile ). The Java plugin seems to be working with both Seamonkey and Firefox, here.
[/url]
Back to top
View user's profile Send private message 
shinobar


Joined: 28 May 2009
Posts: 2630
Location: Japan

PostPosted: Mon 29 Oct 2012, 09:42    Post subject: jre-1.6.0.37, jre-1.7.0.09  

UPDATE: jre-1.6.0.37.sfs and jre-1.7.0.09.sfs.
http://shino.pos.to/party/bridge.cgi?puppy/opt/

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send private message Visit poster's website 
tlchost

Joined: 05 Aug 2007
Posts: 1704
Location: Baltimore, Maryland USA

PostPosted: Mon 29 Oct 2012, 12:41    Post subject: Re: jre-1.6.0.37, jre-1.7.0.09  

shinobar wrote:
UPDATE: jre-1.6.0.37.sfs and jre-1.7.0.09.sfs.
http://shino.pos.to/party/bridge.cgi?puppy/opt/


.09 works fine in Slacko 5.3.3 seems not to be detected in Beta 2 running on a bootable USB drive.

Thom
Back to top
View user's profile Send private message Visit poster's website 
shinobar


Joined: 28 May 2009
Posts: 2630
Location: Japan

PostPosted: Wed 11 Sep 2013, 08:20    Post subject: jre-1.7.0.25.sfs  

jre-1.7.0.25.sfs
Download from http://shino.pos.to/party/bridge.cgi?puppy/opt/

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send private message Visit poster's website 
Semme

Joined: 07 Aug 2011
Posts: 3928
Location: World_Hub

PostPosted: Wed 11 Sep 2013, 08:42    Post subject:  

Great! Please, one further >> http://www.oracle.com/technetwork/java/javase/7u40-relnotes-2004172.html
Back to top
View user's profile Send private message 
gcmartin

Joined: 14 Oct 2005
Posts: 4288
Location: Earth

PostPosted: Wed 11 Sep 2013, 18:39    Post subject: JDK needed  

Thanks @Shinobar. You've helpted the community with JRE over the years.

I, too, need the JDK, if you could help by providing it. Specifically for Slacko 5.6+ (32bit) and/or FATDOG-LightHouse64 (64bit)

Thanks in advance, if you can help.

_________________
Get ACTIVE Create Circles; Do those good things which benefit people's needs!
We are all related ... Its time to show that we know this!
3 Different Puppy Search Engine or use DogPile
Back to top
View user's profile Send private message 
Karl Godt


Joined: 20 Jun 2010
Posts: 3972
Location: Kiel,Germany

PostPosted: Wed 11 Sep 2013, 20:38    Post subject:  

Semme wrote:
Great! Please, one further >> http://www.oracle.com/technetwork/java/javase/7u40-relnotes-2004172.html
That's the DK Development Kit - it includes the current Runtime Environment version .

/mnt/home/SFS/jre-1.6u45-i586.sfs loaded into macpup550 frugal - works real good !
/mnt/home/SFS/jre-1.6.0.43.sfs installed into full install of macpupF3 works OK .


These :

/mnt/sda5/opt/jdk1.6.0_26 from debian
/mnt/sda5/opt/jdk1.7.0_40 from sun
/mnt/sda5/opt/jre-1.7.0.25 from sun

give me everywhere full and frugal

# /mnt/sda5/opt/jdk1.6.0_26/jre/bin/java
Error occurred during initialization of VM
java/lang/NoClassDefFoundError: java/lang/Object
# /mnt/sda5/opt/jdk1.6.0_26/bin/java
Error occurred during initialization of VM
java/lang/NoClassDefFoundError: java/lang/Object

in macpup550precise and macpupF3-43
Question
Back to top
View user's profile Send private message Visit poster's website 
Q5sys


Joined: 11 Dec 2008
Posts: 1066

PostPosted: Wed 11 Sep 2013, 21:31    Post subject: Re: JDK needed  

gcmartin wrote:
Thanks @Shinobar. You've helpted the community with JRE over the years.

I, too, need the JDK, if you could help by providing it. Specifically for Slacko 5.6+ (32bit) and/or FATDOG-LightHouse64 (64bit)

Thanks in advance, if you can help.


Might want to do a google search next time. The FIRST google search result for "openjdk slackware64" would have given you alienjeff's openjdk builds for slackware.

http://www.slackware.com/~alien/slackbuilds/openjdk/pkg64/14.0/

That has the JRE and JDK bundle for both 32bit slackware 14 (what slacko is) and 64bit slackware 14 (what FD and LHP are).

_________________



Back to top
View user's profile Send private message Visit poster's website 
Semme

Joined: 07 Aug 2011
Posts: 3928
Location: World_Hub

PostPosted: Thu 12 Sep 2013, 07:01    Post subject:  

Update Release Notes summarize changes made in all 1.7.0_* update releases.
Quote:
That's the DK Development Kit..
Back to top
View user's profile Send private message 
gcmartin

Joined: 14 Oct 2005
Posts: 4288
Location: Earth

PostPosted: Thu 12 Sep 2013, 21:53    Post subject:  

Q5sys. Thanks. I saw that Lighthouse 602 UPDATE to ...40 version several weeks ago. But a JDK has not arrived in its PPM as a PET for installation in Lighthouse.

Hope this post helps others.

BTW, this is the wrong thread for OpenJDK/OpenJRE discussion. Shinobar has ONLY provided us with SUN's version for 32bit thus far.

But, thanks for trying to help.

_________________
Get ACTIVE Create Circles; Do those good things which benefit people's needs!
We are all related ... Its time to show that we know this!
3 Different Puppy Search Engine or use DogPile
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 3 of 6 [80 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0876s ][ Queries: 12 (0.0066s) ][ GZIP on ]